Wallets
API endpoints to create local and public DIDs
Create a Local DID
Create a local DID based on the key material provided
Authorizations
X-TOKENstringRequired
Responses
200
response is a wallet object including the DID and keys.
application/json
errorstringOptionalExample:
false,didstring · didOptionalExample:
did:key:v004:z6MkrL41Eo41aHPhrdEAatCqYc7TiU3PHso5fLyNE7sfbkfQ400
Bad Request
application/json
403
Unauthorized Access
application/json
500
Server Error
application/json
post
/createlocaldidCreate a Public DID
Create a public DID hold in a cloud wallet as a sub-tenant of your sideos account. The DID can be optionally anchored on a Blockchain (Tezoz, Ethereum). You need to be a admin of a multi-tenant account.
Authorizations
X-TOKENstringRequired
Body
namestringOptionalExample:
the name of the wallet. Must be unique.
ACME WalletanchoredbooleanOptionalExample:
trueResponses
200
Wallet created
application/json
didstringOptionalExample:
did:sideos:V002:z6MkjEHR5a1Eii2DYwds5mFZ2Bgpuq4h7EQoawKBm9BFsmSjtokenstringOptional
400
Bad Request
application/json
403
Unauthorized Access
application/json
422
Unprocessable Content.
application/json
500
Server Error
application/json
post
/createpublicdidLast updated